<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Student_collect_fee extends Model
{
    protected $guarded = [];
    public function student()
    {
        return $this->belongsTo(Student::class, 'student_id');
    }

    public function class()
    {
        return $this->belongsTo(Classe::class, 'class_id');
    }

    public function section()
    {
        return $this->belongsTo(Section::class, 'section_id');
    }

    public function collectFeeDetail()
    {
        return $this->hasOne(Student_collect_fee_detail::class, 'std_collect_fee_id');
    }
}
